Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.model
Class NamedSelector

    java.lang.Object
      org.modeshape.jcr.query.model.Selector
          org.modeshape.jcr.query.model.NamedSelector

All Implemented Interfaces:
  Serializable, Selector, Source, LanguageObject, Visitable

    @Immutable
    public class NamedSelector

extends Selector

A Selector that has a name.

See Also:
  Serialized Form

Constructor Summary
`NamedSelector(SelectorName name)` Create a selector with a name.
`NamedSelector(SelectorName name, SelectorName alias)` Create a selector with the supplied name and alias.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class org.modeshape.jcr.query.model.Selector
`alias, aliasOrName, getNodeTypeName, getSelectorName, hasAlias, name`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedSelector

    public NamedSelector(SelectorName name)

  Create a selector with a name.

  Parameters:
    `name` - the name for this selector
  Throws:
    `IllegalArgumentException` - if the selector name is null

### NamedSelector

    public NamedSelector(SelectorName name,
                         SelectorName alias)

  Create a selector with the supplied name and alias.

  Parameters:
    `name` - the name for this selector
    `alias` - the alias for this selector; may be null
  Throws:
    `IllegalArgumentException` - if the selector name is null

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### accept

    public void accept(Visitor visitor)

  Description copied from interface: `Visitable`
  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Parameters:
    `visitor` - the visitor; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.